# $Revision: 1.22 $, $Date: 2003/02/15 21:49:05 $
Summary:	Text mode based programming IDE for Linux
Summary(pl):	rodowisko programistyczne dla Linuksa
Name:		motor
Version:	3.2.4
Release:	1
License:	GPL
Group:		Development/Tools
Source0:	http://konst.org.ua/download/%{name}-%{version}.tar.gz
Patch0:		%{name}-autoconf.patch
Patch1:		%{name}-AC_PROG_MAKE_SET.patch
URL:		http://konst.org.ua/motor/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	libstdc++-devel
BuildRequires:	ncurses-devel >= 5.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Motor is a text mode based programming environment for Linux. It
consists of a powerful editor with syntax highlight feature, project
manager, makefile generator, gdb front-end, etc. Deep CVS integration
is also provided.

%description -l pl
Motor jest rodowiskiem programistycznym dla Linuksa pracujcym w
trybie tekstowym. Zawiera ono doskonay edytor tekstu, zarzdc
projektw, generator plikw Makefile, frontend dla gdb. Istotn cech
jest gboka integracja z CVS.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
rm -f missing
%{__gettextize}
%{__aclocal}
%{__autoconf}
%{__automake}
CPPFLAGS="-I%{_includedir}/ncurses"; export CPPFLAGS
CXXFLAGS="%{rpmcflags} -fno-rtti"; export CXXFLAGS
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/motor

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog FAQ README TODO tutorial/*
%attr(755,root,root) %{_bindir}/*
%{_datadir}/motor
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: motor.spec,v $
Revision 1.22  2003/02/15 21:49:05  misi3k
- updated to 3.2.4

Revision 1.21  2002/11/21 20:52:14  mmazur
- __gettextize only

Revision 1.20  2002/10/24 22:13:00  qboosh
- gettext 0.10.x/0.11.x handling

Revision 1.19  2002/10/18 12:58:39  kloczek
- added AC_PROG_MAKE_SET patch with crrect make detection,
- fixed %build and %files.

Revision 1.18  2002/10/15 21:02:57  juandon
- update to 3.2.3
- some build fixes for gcc 3.2
- Release 1

Revision 1.17  2002/10/09 13:14:40  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.16  2002/08/09 23:02:26  qboosh
- added missing man page; release 2

Revision 1.15  2002/08/07 10:32:10  marcus
- updated to 3.2.2
- use new %%doc
- including ncurses.h still need fixing

Revision 1.14  2002/06/23 20:52:52  kloczek
perl -pi -e "s/^gettextize --copy --force/\%%\{__gettextize\}/"

Revision 1.13  2002/05/21 23:14:10  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.12  2002/03/24 23:28:22  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.11  2002/02/23 23:09:00  filon
- updated to 3.2.0
- updated autoconf patch

Revision 1.10  2002/02/22 23:29:17  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.9  2002/01/18 02:13:54  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.8  2001/10/20 13:13:05  qboosh
- release 2: fixed build

Revision 1.7  2001/07/27 20:22:32  migo
'- added missing (pl) in pl Summary'

Revision 1.6  2001/06/25 09:47:49  cieciwa
- added tutorial.

Revision 1.5  2001/06/02 19:06:03  misiek
updated to 2.17.13

Revision 1.4  2001/05/02 21:51:24  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.3  2000/07/13 23:15:45  baggins
- release 2
- rebuild with ncurses 5.1

Revision 1.2  2000/07/02 02:09:37  kloczek
- completly rewrited in PLD style.
